"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ts_lib_scripts_utils_1 = require("ts-lib-scripts-utils");
const child_process_1 = require("child_process");
/**
 * 创建Git仓库
 *
 * @param rootPath 项目根目录
 */
function createGitRepository(rootPath) {
    try {
        if (ts_lib_scripts_utils_1.isGitInstalled() && !ts_lib_scripts_utils_1.isInGitRepository(rootPath)) {
            child_process_1.execSync('git init', { cwd: rootPath });
            return true;
        }
    }
    catch (e) {
        // 忽略错误
    }
    return false;
}
exports.default = createGitRepository;
//# sourceMappingURL=createGitRepository.js.map