"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = require("path");
const fs_extra_1 = require("fs-extra");
const parseTemplateStr_1 = tslib_1.__importDefault(require("../parseTemplateStr"));
/**
 * 生成LICENSE文件
 *
 * @param projectPath 项目路径
 * @param options 配置
 */
async function genLicenseFile(projectPath, options) {
    const licensePath = path_1.resolve(projectPath, 'LICENSE');
    const content = await fs_extra_1.readFile(licensePath, 'utf-8');
    await fs_extra_1.writeFile(licensePath, parseTemplateStr_1.default(content, {
        time: new Date().getFullYear(),
        author: options.author || '',
    }));
}
exports.default = genLicenseFile;
//# sourceMappingURL=updateLicense.js.map